メインコンテンツへスキップ
GET
/
legal_hold_policy_assignments
cURL
curl -i -X GET "https://api.box.com/2.0/legal_hold_policy_assignments?policy_id=324432" \
     -H "authorization: Bearer <ACCESS_TOKEN>"
{
  "limit": 1000,
  "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
  "prev_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih",
  "entries": [
    {
      "id": "11446498",
      "type": "legal_hold_policy_assignment",
      "legal_hold_policy": {
        "id": "11446498",
        "type": "legal_hold_policy"
      },
      "assigned_to": {
        "id": "12345",
        "type": "file",
        "etag": "1",
        "sequence_id": "3",
        "name": "Contract.pdf",
        "sha1": "85136C79CBF9FE36BB9D05D0639C70C265C18D37",
        "file_version": {
          "id": "12345",
          "type": "file_version",
          "sha1": "134b65991ed521fcfe4724b7d814ab8ded5185dc"
        },
        "description": "Contract for Q1 renewal",
        "size": 629644,
        "path_collection": {
          "total_count": 1,
          "entries": [
            {
              "id": "12345",
              "type": "folder",
              "etag": "1",
              "sequence_id": "3",
              "name": "Contracts"
            }
          ]
        },
        "created_at": "2012-12-12T10:53:43-08:00",
        "modified_at": "2012-12-12T10:53:43-08:00",
        "trashed_at": "2012-12-12T10:53:43-08:00",
        "purged_at": "2012-12-12T10:53:43-08:00",
        "content_created_at": "2012-12-12T10:53:43-08:00",
        "content_modified_at": "2012-12-12T10:53:43-08:00",
        "created_by": {
          "id": "11446498",
          "type": "user",
          "name": "Aaron Levie",
          "login": "ceo@example.com"
        },
        "modified_by": {
          "id": "11446498",
          "type": "user",
          "name": "Aaron Levie",
          "login": "ceo@example.com"
        },
        "owned_by": {
          "id": "11446498",
          "type": "user",
          "name": "Aaron Levie",
          "login": "ceo@example.com"
        },
        "shared_link": {
          "url": "https://www.box.com/s/vspke7y05sb214wjokpk",
          "effective_access": "company",
          "effective_permission": "can_download",
          "is_password_enabled": true,
          "download_count": 3,
          "preview_count": 3,
          "download_url": "https://www.box.com/shared/static/rh935iit6ewrmw0unyul.jpeg",
          "vanity_url": "https://acme.app.box.com/v/my_url/",
          "vanity_name": "my_url",
          "access": "open",
          "unshared_at": "2018-04-13T13:53:23-07:00",
          "permissions": {
            "can_download": true,
            "can_preview": true,
            "can_edit": false
          }
        },
        "parent": {
          "id": "12345",
          "type": "folder",
          "etag": "1",
          "sequence_id": "3",
          "name": "Contracts"
        },
        "item_status": "active"
      },
      "assigned_by": {
        "id": "11446498",
        "type": "user",
        "name": "Aaron Levie",
        "login": "ceo@example.com"
      },
      "assigned_at": "2012-12-12T10:53:43-08:00",
      "deleted_at": "2012-12-12T10:53:43-08:00"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developer.box.com/llms.txt

Use this file to discover all available pages before exploring further.

このリソースは、バージョン2024.0のエンドポイントで使用されています。 詳細については、 Box APIのバージョン管理を参照してください。Box SDKのバージョニング戦略について詳しく学ぶ。」

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

クエリパラメータ

policy_id
string
必須

リーガルホールドポリシーのID。

assign_to_type
enum<string>

ポリシーが適用されている項目のタイプのみに結果を絞り込みます。

利用可能なオプション:
file,
file_version,
folder,
user,
ownership,
interactions
assign_to_id
string

ポリシーが割り当てられている項目のIDのみに結果を絞り込みます。

marker
string

結果が返される開始位置のマーカー。マーカーベースのページネーションを使用している場合に使用されます。

これを使用するには、usemarkertrueに設定する必要があります。

limit
integer<int64>

返す項目の1ページあたりの最大数。

必須範囲: x <= 1000
fields
string[]

レスポンスに含める属性のコンマ区切りリスト。このパラメータを使用すると、標準のレスポンスには通常含まれないフィールドをリクエストできます。

このパラメータを指定すると、明示的に指定しない限り標準フィールドはレスポンスに含まれず、リクエストしたフィールドのほかには、Mini版の表示のフィールドしか返されないことに注意してください。

レスポンス

リーガルホールドポリシー割り当てのリストを返します。

リーガルホールドポリシー割り当てのリスト。

limit
integer<int64>

これらのエントリで使用された制限値。許容される最大値を超えていない限り、クエリパラメータのlimitと等しくなります。最大値はAPIによって異なります。

:

1000

next_marker
string | null

次の検索結果ページの開始場所のマーカー。

:

"JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"

prev_marker
string | null

前の検索結果ページの開始場所のマーカー。

:

"JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih"

entries
リーガルホールドポリシー割り当て · object[]

リーガルホールドポリシー割り当てのリスト。